Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class TagSupport

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport

Direct Known Subclasses:
  BodyTagSupport

public class TagSupport
extends java.lang.Object
implements Tag, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `id`
`protected PageContext` | `pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TagSupport()`

Method Summary
`int` | `doEndTag()` Callback to handle the end of a tag.
`int` | `doStartTag()` Callback to handle the start of a tag.
`static Tag` | `findAncestorWithClass(Tag tag, java.lang.Class cl)`
`java.lang.String` | `getId()`
`Tag` | `getParent()` Returns the containing tag.
`java.lang.Object` | `getValue(java.lang.String name)`
`java.util.Enumeration` | `getValues()`
`void` | `release()` Cleans up the tag at the end of the page.
`void` | `removeValue(java.lang.String name)`
`void` | `setId(java.lang.String id)`
`void` | `setPageContext(PageContext page)` Sets the page context of this page.
`void` | `setParent(Tag t)` Sets the containing tag.
`void` | `setValue(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected java.lang.String id

### pageContext

    protected PageContext pageContext

Constructor Detail

### TagSupport

    public TagSupport()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from interface: Tag
  Callback to handle the start of a tag.
  Specified by:
    doStartTag in interface Tag
  Tags copied from interface: Tag
  Returns:
    SKIP_BODY to ignore the body and EVAL_BODY_INCLUDE to evaluate the body.

### doEndTag

    public int doEndTag()
                 throws JspException

  Description copied from interface: Tag
  Callback to handle the end of a tag.
  Specified by:
    doEndTag in interface Tag
  Tags copied from interface: Tag
  Returns:
    SKIP_PAGE to skip the rest of the page and EVAL_PAGE to continue with the rest of the page.

### setId

    public void setId(java.lang.String id)

### getId

    public java.lang.String getId()

### setPageContext

    public void setPageContext(PageContext page)

  Description copied from interface: Tag
  Sets the page context of this page.
  Specified by:
    setPageContext in interface Tag

### setParent

    public void setParent(Tag t)

  Description copied from interface: Tag
  Sets the containing tag.
  Specified by:
    setParent in interface Tag

### getParent

    public Tag getParent()

  Description copied from interface: Tag
  Returns the containing tag.
  Specified by:
    getParent in interface Tag

### findAncestorWithClass

    public static final Tag findAncestorWithClass(Tag tag,
                                                  java.lang.Class cl)

### getValue

    public java.lang.Object getValue(java.lang.String name)

### getValues

    public java.util.Enumeration getValues()

### removeValue

    public void removeValue(java.lang.String name)

### setValue

    public void setValue(java.lang.String name,
                         java.lang.Object value)

### release

    public void release()

  Description copied from interface: Tag
  Cleans up the tag at the end of the page. The same tag instance might be reused for multiple tags in the page.
  Specified by:
    release in interface Tag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD